Page MenuHomePhabricator

Write adapter class API definitions for New Invoice and Payment Status
Closed, ResolvedPublic4 Story Points

Description

Implement the transaction definitions, and generate a signature.

Include tests.

Event Timeline

awight created this task.Feb 23 2015, 10:58 PM
awight updated the task description. (Show Details)
awight raised the priority of this task from to High.
awight added subscribers: Ppena, atgo, Aklapper, awight.
awight removed a project: Epic.Feb 23 2015, 11:05 PM
awight set Security to None.
atgo updated the task description. (Show Details)Feb 25 2015, 11:29 PM
atgo updated the task description. (Show Details)Mar 26 2015, 8:34 PM
atgo updated the task description. (Show Details)Mar 26 2015, 8:39 PM
atgo edited a custom field.

Change 201048 had a related patch set uploaded (by Ejegg):
Use transaction-specific URLs for Astropay

https://gerrit.wikimedia.org/r/201048

Change 201642 had a related patch set uploaded (by Ejegg):
Sign Astropay transactions

https://gerrit.wikimedia.org/r/201642

Change 204346 had a related patch set uploaded (by Ejegg):
Parse JSON responses, get Astropay status and errors

https://gerrit.wikimedia.org/r/204346

Change 204456 had a related patch set uploaded (by Ejegg):
Redirect to Astropay on successful NewInvoice

https://gerrit.wikimedia.org/r/204456

Change 201048 merged by jenkins-bot:
Use transaction-specific URLs for Astropay

https://gerrit.wikimedia.org/r/201048

Change 201642 merged by jenkins-bot:
Sign Astropay transactions

https://gerrit.wikimedia.org/r/201642

Change 204346 merged by jenkins-bot:
Parse JSON responses, get Astropay status and errors

https://gerrit.wikimedia.org/r/204346

Change 204456 merged by jenkins-bot:
Redirect to Astropay on successful NewInvoice

https://gerrit.wikimedia.org/r/204456

Change 205461 had a related patch set uploaded (by Ejegg):
Define PaymentStatus, deal with delimited response

https://gerrit.wikimedia.org/r/205461

Change 205776 had a related patch set uploaded (by Ejegg):
Remove optional fields from NewInvoice txn

https://gerrit.wikimedia.org/r/205776

Change 205461 merged by jenkins-bot:
Define PaymentStatus, deal with delimited response

https://gerrit.wikimedia.org/r/205461

Change 205776 merged by jenkins-bot:
Remove optional fields from NewInvoice txn

https://gerrit.wikimedia.org/r/205776

Ejegg closed this task as Resolved.
atgo removed a subscriber: atgo.Mar 30 2016, 10:13 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM